### Method

# Foundry Intent get_attribute_type

since: 1.1

#### Declaration [src]

    GType
    foundry_intent_get_attribute_type (
      FoundryIntent* self,
      const char* attribute
    )

#### Description [src]

Gets the `GType` of the attribute value.

Available since: 1.1

#### Parameters

`attribute`

  Type: `const char*`

  The attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

The `GType` of the attribute, or `G_TYPE_INVALID` if not found.